package org.greenstone.gatherer.collection;
/**
 *#########################################################################
 *
 * A component of the Gatherer application, part of the Greenstone digital
 * library suite from the New Zealand Digital Library Project at the
 * University of Waikato, New Zealand.
 *
 * <BR><BR>
 *
 * Author: John Thompson, Greenstone Digital Library, University of Waikato
 *
 * <BR><BR>
 *
 * Copyright (C) 1999 New Zealand Digital Library Project
 *
 * <BR><BR>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * <BR><BR>
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * <BR><BR>
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *########################################################################
 */
import java.awt.event.*;
import java.io.*;
import javax.swing.*;
import javax.swing.filechooser.*;
import org.greenstone.gatherer.Gatherer;
import org.greenstone.gatherer.util.Utility;
import org.outerj.pollo.util.*;
/**
 * @author John Thompson, Greenstone Digital Library, University of Waikato
 * @version 2.1
 */
public class LoadCollectionBox {

    private JFileChooser chooser = null;
    public LoadCollectionBox() {
    }

    public String getFileName() {
	String defaultPath = Utility.getCollectionDir(Gatherer.config.gsdl_path);
	chooser = new JFileChooser(new File(defaultPath));
	chooser.setDialogTitle(Gatherer.dictionary.get("SaveCollectionBox.Title"));
	ExtensionFileFilter filter1 = new ExtensionFileFilter(".col", Gatherer.dictionary.get("General.File_Description"));
	chooser.setFileFilter(filter1);
	chooser.setAcceptAllFileFilterUsed(false);
	int return_val = chooser.showOpenDialog(null);
	if(return_val == JFileChooser.APPROVE_OPTION) {
	    return chooser.getSelectedFile().getAbsolutePath();
	}
	else {
	    return null;
	}
    }
}
