<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:java="http://xml.apache.org/xslt/java"
  extension-element-prefixes="java">
  
  <!--
  <xsl:output method="html"/>  
  -->
  
  <!-- the main page layout template is here -->
  <xsl:template match="page">
    <html>
      <xsl:call-template name="pageHead"/>
      <body xsl:use-attribute-sets="body-style">
	<table border="0" cellspacing="0" cellpadding="0" width="100%">
	  <td valign="top" width="65">
	    <img src="interfaces/default/images/spacer.gif" width="65" height="1" alt="" border="0"/>
	  </td>
	  <td>
	  <center>
	    <table width="537">
	      <tr/>
	      <td/>
	      <xsl:apply-templates select="pageResponse"/>
	      <xsl:call-template name="greenstoneFooter"/>
	    </table>
	  </center>
	  </td>
	</table>
      </body>
    </html>
  </xsl:template>

  <xsl:attribute-set name="body-style">
    <xsl:attribute name="bgcolor">#ffffff</xsl:attribute>
    <xsl:attribute name="text">#000000</xsl:attribute>
    <xsl:attribute name="link">#006666</xsl:attribute>
    <xsl:attribute name="alink">#cc9900</xsl:attribute>
    <xsl:attribute name="vlink">#666633</xsl:attribute>
    <xsl:attribute name="background">interfaces/default/images/chalk.gif</xsl:attribute>
  </xsl:attribute-set>
    
  <xsl:template name="greenstonePageBanner">
    <center>
      <table width="537" cellspacing="0" cellpadding="0">
	<tr valign="top">
	  <td rowspan="2" align="left"><center><img src="interfaces/default/images/gsdlhead.gif"><xsl:attribute name="alt"><xsl:call-template name="text"><xsl:with-param name="key">gsdl</xsl:with-param></xsl:call-template></xsl:attribute></img></center></td>
	  <td align="right"></td>
	</tr>
	
	<tr>
	  <td align="right"></td>
	</tr>
	
	<tr>
	  <td colspan="2"></td>
	</tr>
      </table>
      <xsl:call-template name="greenBar"/>

    </center>
    
    <!-- end of page banner -->
    
  </xsl:template>

  <xsl:template name="greenstoneFooter">
    <center>
      <p/>
      <small>powered by greenstone3</small>
    </center>
  </xsl:template>
  
  <!-- just pass in collname cos use it everywhere - saves working it out lots of times -->
  <xsl:template name="collectionPageBanner">
    <xsl:param name="collName"/>
    <xsl:variable name="httpPath" select="ancestor::page/pageResponse/collection/metadataList/metadata[@name='httpPath']"/>
    <xsl:variable name="colIcon" select="ancestor::page/pageResponse/collection/metadataList/metadata[@name='colIcon']"/>
    <xsl:variable name="library" select="ancestor::page/pageExtra/config/library_name"/>
    <table width="537">
      <tr>
	<td align="left">
	  <a href="{$library}?a=p&amp;sa=about&amp;c={$collName}">
	    <img width="150" border="0">
	      <xsl:attribute name="src">
		<xsl:value-of select="$httpPath"/>/images/<xsl:value-of select="$colIcon"/>
	      </xsl:attribute>	
	      <xsl:attribute name="alt">
		<xsl:call-template name="text">
		  <xsl:with-param name="key">aboutpage</xsl:with-param>
		</xsl:call-template>
	      </xsl:attribute>
	    </img>
	  </a>
	</td>
	<td align="right">
	  <a href="{$library}?a=p&amp;sa=home">
	    <xsl:call-template name="text">
	      <xsl:with-param name="key">home</xsl:with-param>
	    </xsl:call-template>
	  </a>
	</td>
      </tr>
    </table>
    
    <xsl:call-template name="greenBar"/>
  </xsl:template>


  <!-- do we want different stuff for cluster or same as collection -->
  <xsl:template name="clusterPageBanner">
    <xsl:param name="clusterName"/>
    <xsl:variable name="library" select="ancestor::page/pageExtra/config/library_name"/>
    <table width="537">
      <tr><td align="left"><a href="{$library}?a=p&amp;sa=about&amp;c={$clusterName}"><xsl:value-of select="$clusterName"/></a></td><td align="right"><a href="{$library}?a=p&amp;sa=home"><xsl:call-template name="text"><xsl:with-param name="key">home</xsl:with-param></xsl:call-template></a></td></tr></table>
    
    <xsl:call-template name="greenBar"/>
  </xsl:template>
  
  <xsl:template name="greenBar">
    <p/><img src="interfaces/default/images/divb.gif" width="537" height="17"/>
  </xsl:template>
  


  <!-- Display the appropriate image, depending on the node type -->
  <xsl:template match="documentNode" mode="displayNodeIcon">
    
    <!-- Root node: book icon (open or closed) -->
    <xsl:if test="@nodeType='root'">
      <xsl:choose>
	<xsl:when test="documentNode">
	  <img border="0" width="28" height="23"
	    src="interfaces/default/images/openbook.gif"
	    alt="Close this book"/>
	</xsl:when>
	<xsl:otherwise>
	  <img border="0" width="18" height="11"
	    src="interfaces/default/images/book.gif"
	    alt="Open this document and view contents"/>
	</xsl:otherwise>
      </xsl:choose>
    </xsl:if>
    
    <!-- Interior node: folder icon (open or closed) -->
    <xsl:if test="@nodeType='interior'">
      <xsl:choose>
	<xsl:when test="documentNode">
	  <img border="0" width="23" height="15"
	    src="interfaces/default/images/openfldr.gif"
	    alt="Close this folder"/>
	</xsl:when>
	<xsl:otherwise>
	  <img border="0" width="23" height="15"
	    src="interfaces/default/images/clsdfldr.gif"
	    alt="Open this folder and view contents"/>
	</xsl:otherwise>
      </xsl:choose>
    </xsl:if>
    
  <!-- Leaf node: page icon -->
  <xsl:if test="@nodeType='leaf'">
    <img border="0" width="16" height="21"
	 src="interfaces/default/images/itext.gif"
	 alt="View the document"/>
  </xsl:if>
</xsl:template>




<!-- text stuff. can be called via xsl:call-template:  

<xsl:call-template name="text"><xsl:with-param name="key">your text name here</xsl:with-param></xsl:call-template>

otherwise can be selected by :

<xsl:apply-templates select="text"/>  

the text elem to be processed must be in the form
<text name="query.about"/>

-->

  <!-- should we look in the display element, or dynamically get from resource bundles - would  this mean they are reloaded everytime??-->
  <xsl:template name="text" match="text">
    <xsl:param name="key"><xsl:value-of select="@name"/></xsl:param>
    <xsl:variable name="path">ancestor::page/pageExtra/display/<xsl:value-of select='$key'/></xsl:variable>
    <xsl:variable name="string1"><xsl:value-of select="java:org.apache.xalan.lib.Extensions.evaluate($path)"/></xsl:variable>
    <xsl:choose><xsl:when test="boolean(string($string1))"><xsl:value-of select="$string1"/></xsl:when>
      <xsl:otherwise>
	<!-- no match found, output the name of the text string -->
	_<xsl:value-of select="$key"/>_</xsl:otherwise>
    </xsl:choose>
  </xsl:template>
  
</xsl:stylesheet>  
